Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.trans
Class TrimmingQualifierTranslator

    java.lang.Object
      org.objectstyle.cayenne.access.trans.QueryAssemblerHelper
          org.objectstyle.cayenne.access.trans.QualifierTranslator
              org.objectstyle.cayenne.access.trans.TrimmingQualifierTranslator

All Implemented Interfaces:
  TraversalHandler

Direct Known Subclasses:
  DB2QualifierTranslator, PostgresQualifierTranslator

    public class TrimmingQualifierTranslator

extends QualifierTranslator

QualifierTranslator that allows translation of qualifiers that perform comparison with CHAR columns. Some databases require trimming the values for this to work.

Author:
  Andrei Adamchik

Field Summary
`protected java.lang.String` | `trimFunction`

Fields inherited from class org.objectstyle.cayenne.access.trans.QualifierTranslator
`matchingObject, objectMatchTranslator, qualBuf, translateParentQual`

Fields inherited from class org.objectstyle.cayenne.access.trans.QueryAssemblerHelper
`queryAssembler`

Constructor Summary
`protected` | `TrimmingQualifierTranslator()` Constructor for TrimmingQualifierTranslator.
`` | `TrimmingQualifierTranslator(QueryAssembler queryAssembler, java.lang.String trimFunction)` Constructor for TrimmingQualifierTranslator.

Method Summary
`java.lang.String` | `getTrimFunction()` Returns the trimFunction.
`protected void` | `processColumn(java.lang.StringBuffer buf, DbAttribute dbAttr)` Adds special handling of CHAR columns.
`protected void` | `processColumn(java.lang.StringBuffer buf, DbAttribute dbAttr, DbRelationship rel)` Adds special handling of CHAR columns.
`void` | `setTrimFunction(java.lang.String trimFunction)` Sets the trimFunction.

Methods inherited from class org.objectstyle.cayenne.access.trans.QualifierTranslator
`appendLiteral, appendObjectMatch, detectObjectMatch, doTranslation, endNode, extractQualifier, finishedChild, getObjEntity, isTranslateParentQual, objectNode, parenthesisNeeded, processRelTermination, setTranslateParentQual, startNode`

Methods inherited from class org.objectstyle.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendLiteralDirect, appendObjPath, getDbEntity, getQueryAssembler, paramsDbType, processColumn, processRelTermination, setQueryAssembler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trimFunction

    protected java.lang.String trimFunction

Constructor Detail

### TrimmingQualifierTranslator

    protected TrimmingQualifierTranslator()

  Constructor for TrimmingQualifierTranslator.

### TrimmingQualifierTranslator

    public TrimmingQualifierTranslator(QueryAssembler queryAssembler,
                                       java.lang.String trimFunction)

  Constructor for TrimmingQualifierTranslator.

Method Detail

### processColumn

    protected void processColumn(java.lang.StringBuffer buf,
                                 DbAttribute dbAttr)

  Adds special handling of CHAR columns.

  Overrides:
    `processColumn` in class `QueryAssemblerHelper`

### processColumn

    protected void processColumn(java.lang.StringBuffer buf,
                                 DbAttribute dbAttr,
                                 DbRelationship rel)

  Adds special handling of CHAR columns.

  Overrides:
    `processColumn` in class `QueryAssemblerHelper`

### getTrimFunction

    public java.lang.String getTrimFunction()

  Returns the trimFunction.

  Returns:
    String

### setTrimFunction

    public void setTrimFunction(java.lang.String trimFunction)

  Sets the trimFunction.

  Parameters:
    `trimFunction` - The trimFunction to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.